// SPDX-FileCopyrightText: 2022 Johannes Loher
//
// SPDX-License-Identifier: MIT

import '../styles/tickwerk.scss';

import { registerCombatTrackerFunctionality } from './apps/sidebar/combat-tracker';
import { registerActiveEffectFunctionality } from './data/documents/active-effect';
import { registerCombatFunctionality } from './data/documents/combat';
import { registerCombatantFunctionality } from './data/documents/combatant';
import { registerSystemSpecificFunctionality } from './systems';

Hooks.once('init', () => {
  registerActiveEffectFunctionality();
  registerCombatantFunctionality();
  registerCombatFunctionality();
  registerCombatTrackerFunctionality();
  registerSystemSpecificFunctionality();
});
